Download it now!
Bug 126266 - LO63rc1: on macOS in Writer's tabbed notebookbar mode the tabs are missing/non switchable
Summary: LO63rc1: on macOS in Writer's tabbed notebookbar mode the tabs are missing/no...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.beta2+
Hardware: All Mac OS X (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2019-07-07 14:04 UTC by Martin Srebotnjak
Modified: 2019-09-26 15:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
No tabs in 6.3 RC1 (29.67 KB, image/png)
2019-07-07 14:06 UTC, Martin Srebotnjak
Details
Tabs available in 6.3 b1 (31.39 KB, image/png)
2019-07-07 14:06 UTC, Martin Srebotnjak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2019-07-07 14:04:14 UTC
Description:
In Writer in tabbed notebookbar UI mode there are no tabs visible so switching is not possible.
I am attaching two screenshots, from b1 and from rc1 to make it clear.

If confirmed, this seems a stopper for macOS release.

Steps to Reproduce:
1. Open Writer with a document in tabbed notebookbar mode.
2.
3.

Actual Results:
No tabs seen.

Expected Results:
Tabs available.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Martin Srebotnjak 2019-07-07 14:06:11 UTC
Created attachment 152617 [details]
No tabs in 6.3 RC1
Comment 2 Martin Srebotnjak 2019-07-07 14:06:34 UTC
Created attachment 152618 [details]
Tabs available in 6.3 b1
Comment 3 Xisco Faulí 2019-07-08 11:48:54 UTC
Regression introduced by:

author	Jan-Marek Glogowski <glogow@fbihome.de>	2019-06-16 21:41:31 +0000
committer	Jan-Marek Glogowski <glogow@fbihome.de>	2019-06-22 20:02:08 +0200
commit	9f53774b1f177b99317b90d756ea8fe9c7930d73 (patch)
tree	a74f4f275416846b239b809453a8d5de7f35a392
parent	5bd5894379fc9b89958b31db8caf96d13cae86d7 (diff)
VCL merge most of NotebookbarTabControlBase

Bisected with: bibisect-mac64-6.3

Adding Cc: to Jan-Marek Glogowski
Comment 4 Jan-Marek Glogowski 2019-07-08 12:07:35 UTC
(In reply to Xisco Faulí from comment #3)
> Regression introduced by:
> 
> author	Jan-Marek Glogowski <glogow@fbihome.de>	2019-06-16 21:41:31 +0000
> committer	Jan-Marek Glogowski <glogow@fbihome.de>	2019-06-22 20:02:08 +0200
> commit	9f53774b1f177b99317b90d756ea8fe9c7930d73 (patch)
> tree	a74f4f275416846b239b809453a8d5de7f35a392
> parent	5bd5894379fc9b89958b31db8caf96d13cae86d7 (diff)
> VCL merge most of NotebookbarTabControlBase
> 
> Bisected with: bibisect-mac64-6.3
> 
> Adding Cc: to Jan-Marek Glogowski

Hmm - I was expecting the bug to be in the later patch to fix bug 105884. Problem is I don't have a Mac. I'll see if I can spot something in the patch, but it was a large refactoring and other patches depend on it, so there is no real option to revert it. What a mess :-(
Comment 5 andreas_k 2019-07-08 14:02:02 UTC
Writer only or also in calc, draw, impress

There is new tabbed compact.
Comment 6 Martin Srebotnjak 2019-07-08 16:02:49 UTC
Andreas, it is a problem with Calc, Impress etc. as well.
As well as with the tabbed compact.
Unusable.
Comment 7 Xisco Faulí 2019-07-08 16:07:57 UTC
Conversation from IRC:

<x1sc0> jmux, removing this if < https://opengrok.libreoffice.org/xref/core/vcl/source/control/tabctrl.cxx?r=d00ee2cb#2352 > displays the menu
<lo-qa-tg> <D​ennisRoc> the strange part is, that even the "Applications" folder menu name is translated...
<lo-qa-tg> <D​ennisRoc> en_it?
<jmux> x1sc0: you mean the tabs?
<x1sc0> jmux, yep, sorry, the tabs
<jmux> x1sc0: the only place, which can change the visibility is NotebookbarTabControlBase::SetContext
* individual-it (~Thunderbi@27.34.70.174) s'ha unit
<x1sc0> jmux, should it be m_bEnabled instead ?
<jmux> x1sc0: no. That was the old code and it was broken. Any it works everywhere else.
<jmux> And
<buovjaga> @mirkoprp why do you have en_IT.UTF-8 in the locale?
<jmux> x1sc0: Can you put a SAL_DEBUG(nPageId << " " << bVisible); at the start of TabControl::SetPageVisible
<buovjaga> @mirkoprp what if you launch LibreOffice in safe mode? https://wiki.documentfoundation.org/UserProfile#Resolving_corruption The menu location is different on macos
* floeff ha sortit (Quit: Bye.)
* xisco2 (b9d8dafb@gateway/web/cgi-irc/kiwiirc.com/ip.185.216.218.251) s'ha unit
<xisco2> jmux, https://paste.ee/p/WSlvA
* MechtiIde ha sortit (Ping timeout: 258 seconds)
<jmux> xisco2: that looks ok. You should see tabs 1-7 + 15
<jmux> xisco2: Can you move the debug 4 lines and make it SAL_DEBUG(nPageId << " " << bVisible << " " << pItem << " " << pItem->m_bVisible);
<jmux> after the return
<xisco2> jmux https://paste.ee/p/x2nKD
<jmux> This is very strange. From the debug output the right tabs are visible. Just the hidden tabs get hidden.
Comment 8 andreas_k 2019-07-08 19:53:19 UTC
as you have beta 1 and rc1 installed can you copy the notebookbar.ui file from writer/calc/impress/draw whatever from b1 to rc1 folder? cause than we would know if it's an issue in the notebookbar.ui file change between b1 and rc1 or somewhere else (I think the issue come from somewhere else)
Comment 9 Xisco Faulí 2019-07-08 20:01:35 UTC
(In reply to andreas_k from comment #8)
> as you have beta 1 and rc1 installed can you copy the notebookbar.ui file
> from writer/calc/impress/draw whatever from b1 to rc1 folder? cause than we
> would know if it's an issue in the notebookbar.ui file change between b1 and
> rc1 or somewhere else (I think the issue come from somewhere else)

Jmux has already a patch in gerrit < https://gerrit.libreoffice.org/#/c/75230/3 > no need to check it
Comment 10 andreas_k 2019-07-08 20:13:48 UTC
ok if there is something I can improve in the notebookbar.ui file, please let me know.
Comment 11 Commit Notification 2019-07-08 20:30:49 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d55654fa962002b2f78b44a01dc4aa25428b1ca2%5E%21

tdf#126266 adjust calculations for invisble tabs

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-07-09 11:05:02 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/6e12c2f0f59fb191924df44e1214640a2c3d781d%5E%21

tdf#126266 adjust calculations for invisble tabs

It will be available in 6.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.